> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a job

> Get the status and configuration for the specified job.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-config.json get /job-config/jobs/{resource}
openapi: 3.0.1
info:
  title: Fusion Job Config API
  description: API for the Job Configuration and History of Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST}
    description: Fusion
    variables:
      FUSION_HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Manage task jobs
    description: Fetch, create, update, and delete task job configurations.
  - name: Manage all jobs
    description: Fetch, create, update, and delete task jobs and Spark jobs.
  - name: Manage job schedules
    description: Fetch, configure, and reset job schedules.
  - name: Get job histories
    description: Get the history of any job.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /job-config/jobs/{resource}:
    get:
      tags:
        - Manage all jobs
      summary: Get a job
      description: Get the status and configuration for the specified job.
      operationId: getJob
      parameters:
        - name: resource
          in: path
          description: The job ID, prefixed with the job type, as in `spark:my-spark-job`.
          required: true
          schema:
            type: string
          example: task:refresh-autocomplete-blob2
        - name: context
          description: The app to which a job belongs, formatted as `app:APP_NAME`.
          example: app:api-test-app
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobView'
              example:
                resource: task:refresh-autocomplete-blob2
                enabled: true
                status: failed
                extra:
                  podId: dev-job-config-6fff5f4564-qz8kk
                result:
                  error: >-
                    Task refresh-autocomplete-blob2 can't download from
                    https://doc.lucidworks.com/autocomplete/5.9/autocomplete_documentation.json
                lastStartTime: '2025-12-18T19:49:15.483Z'
                lastEndTime: '2025-12-18T19:49:16.070Z'
components:
  schemas:
    JobView:
      type: object
      properties:
        resource:
          type: string
        enabled:
          type: boolean
        startedBy:
          type: string
        status:
          type: string
        extra:
          type: object
        result:
          type: object
        lastStartTime:
          type: string
          format: date-time
        lastEndTime:
          type: string
          format: date-time
        nextStartTime:
          type: string
          format: date-time

````